DefaultFontConfig.Font (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts

## Class DefaultFontConfig.Font

- java.lang.Object
- - org.apache.fop.fonts.DefaultFontConfig.Font

- Enclosing class:
    DefaultFontConfig

      public static final class DefaultFontConfig.Font
      extends Object

  Represents a font object within the FOP conf.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAfm()`
    `boolean` | `getEmbedAsType1()`
    `String` | `getEmbeddingMode()`
    `String` | `getEmbedURI()` Gets the URI of the font to embed.
    `String` | `getEncodingMode()`
    `String` | `getMetrics()` Gets the String representing the metrics file.
    `String` | `getPfm()`
    `boolean` | `getSimulateStyle()`
    `String` | `getSubFont()` Gets the sub font within, for example, a TTC.
    `List<FontTriplet>` | `getTripletList()`
    `boolean` | `getUseSVG()`
    `boolean` | `isAdvanced()`
    `boolean` | `isKerning()` Whether or not to allow kerning of glyphs.
    `boolean` | `isLazyLoad()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTripletList

          public List<FontTriplet> getTripletList()

    - #### isKerning

          public boolean isKerning()

      Whether or not to allow kerning of glyphs.
      Returns:
        true to allow glyph kerning

    - #### isAdvanced

          public boolean isAdvanced()

    - #### getMetrics

          public String getMetrics()

      Gets the String representing the metrics file.
      Returns:
        the metrics file

    - #### getEmbedURI

          public String getEmbedURI()

      Gets the URI of the font to embed.
      Returns:
        the font URI

    - #### getSubFont

          public String getSubFont()

      Gets the sub font within, for example, a TTC.
      Returns:
        the sub font name

    - #### getEncodingMode

          public String getEncodingMode()

    - #### getEmbeddingMode

          public String getEmbeddingMode()

    - #### getAfm

          public String getAfm()

    - #### getPfm

          public String getPfm()

    - #### getSimulateStyle

          public boolean getSimulateStyle()

    - #### getEmbedAsType1

          public boolean getEmbedAsType1()

    - #### getUseSVG

          public boolean getUseSVG()

    - #### isLazyLoad

          public boolean isLazyLoad()

Copyright © 2025 Apache Software Foundation. All rights reserved.